aboutsummaryrefslogtreecommitdiffstats
path: root/community/mumble/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-09-27 13:17:17 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-09-27 13:17:35 +0200
commit49eadd11fdb27a80931944db5b3b55fe27424d8c (patch)
treed810d9e7d799f7ff44dcdea8f57ed1a8f0a3637f /community/mumble/APKBUILD
parent37a83ad09a5881cf8e63a88d651eccc06a6cfbda (diff)
downloadaports-49eadd11fdb27a80931944db5b3b55fe27424d8c.tar.gz
aports-49eadd11fdb27a80931944db5b3b55fe27424d8c.tar.bz2
aports-49eadd11fdb27a80931944db5b3b55fe27424d8c.tar.xz
community/mumble: move from main
Diffstat (limited to 'community/mumble/APKBUILD')
-rw-r--r--community/mumble/APKBUILD112
1 files changed, 112 insertions, 0 deletions
diff --git a/community/mumble/APKBUILD b/community/mumble/APKBUILD
new file mode 100644
index 0000000000..bcfa486752
--- /dev/null
+++ b/community/mumble/APKBUILD
@@ -0,0 +1,112 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Contributor: Johannes Matheis <jomat+alpinebuild@jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
+pkgname=mumble
+pkgver=1.2.17
+pkgrel=0
+pkgdesc="A low-latency, high quality voice chat software"
+url="http://wiki.mumble.info"
+arch="all"
+license="BSD"
+depends="qt-sqlite"
+depends_dev=""
+makedepends="qt-dev libsndfile-dev boost-dev avahi-dev protobuf-dev
+ libxi-dev speex-dev speexdsp-dev libcap-dev"
+install="murmur.pre-install"
+pkgusers="murmur"
+pkggroups="murmur"
+subpackages="$pkgname-doc murmur murmur-doc:murmur_doc"
+source="https://github.com/mumble-voip/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.gz
+ murmur.initd"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$builddir"
+ qmake -recursive main.pro \
+ CONFIG+="no-speechd no-g15 no-update no-ice bundled-celt no-embed-qt-translations no-bundled-speex" \
+ || return 1
+ make release
+}
+
+package() {
+ cd "$builddir"
+
+ # Binaries.
+ install -Dm755 ./release/mumble \
+ "$pkgdir"/usr/bin/mumble || return 1
+ install -Dm755 ./scripts/mumble-overlay \
+ "$pkgdir"/usr/bin/mumble-overlay || return 1
+
+ # Libraries.
+ install -Dm755 ./release/libmumble.so.$pkgver \
+ "$pkgdir"/usr/lib/mumble/libmumble.so.$pkgver || retrn 1
+ for lib in libmumble.so libmumble.so.1 libmumble.so.1.2; do
+ ln -s libmumble.so.$pkgver \
+ "$pkgdir"/usr/lib/mumble/$lib || return 1
+ done
+ install -Dm755 ./release/plugins/liblink.so \
+ "$pkgdir"/usr/lib/mumble/liblink.so || return1
+ install -Dm755 ./release/plugins/libmanual.so \
+ "$pkgdir"/usr/lib/mumble/libmanual.so || return 1
+ install -Dm755 ./release/libcelt* \
+ "$pkgdir"/usr/lib/mumble/ || return 1
+
+ # Misc.
+ install -Dm644 ./LICENSE \
+ "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+ install -Dm644 ./scripts/mumble.desktop \
+ "$pkgdir"/usr/share/applications/mumble.desktop || return 1
+ install -Dm644 ./icons/mumble.svg \
+ "$pkgdir"/usr/share/icons/hicolor/scalable/apps/mumble.svg \
+ || return 1
+
+ # Man pages.
+ mkdir -p "$pkgdir"/usr/share/man/man1/
+ install -m644 ./man/mum* "$pkgdir"/usr/share/man/man1/ || return 1
+}
+
+murmur() {
+ pkgdesc="Murmur is the server component of Mumble"
+ cd "$builddir"
+
+ install -o murmur -g murmur -dm755 \
+ "$subpkgdir"/var/lib/murmur || return 1
+ install -Dm755 ./release/murmurd \
+ "$subpkgdir"/usr/bin/murmurd || return 1
+ install -Dm644 ./scripts/murmur.ini \
+ "$subpkgdir"/etc/murmur.ini || return 1
+
+ sed 's/^database=$/database=\/var\/lib\/murmur\/murmur.sqlite/;\
+ s/^#uname=$/uname=murmur/;\
+ s/^#logfile=murmur.log$/logfile=\/var\/log\/murmur.log/;\
+ s/^#pidfile=$/pidfile=\/var\/run\/murmur\/murmur.pid/' \
+ -i "$subpkgdir"/etc/murmur.ini || return 1
+
+ install -Dm644 ./scripts/murmur.conf \
+ "$subpkgdir"/etc/dbus-1/system.d/murmurd.conf || return 1
+ sed "s/mumble-server/murmur/" \
+ -i "$subpkgdir"/etc/dbus-1/system.d/murmurd.conf || return 1
+
+ install -Dm755 "$srcdir"/murmur.initd \
+ "$subpkgdir"/etc/init.d/murmur
+}
+
+murmur_doc() {
+ pkgdesc="Murmur is the server component of Mumble"
+ arch="noarch"
+
+ cd "$builddir"
+ install -Dm644 ./man/murmurd.1 \
+ "$subpkgdir"/usr/share/man/man1/murmurd.1 || return 1
+ install -Dm644 ./LICENSE \
+ "$subpkgdir"/usr/share/licenses/murmur/LICENSE \
+ || return 1
+ default_doc
+}
+
+md5sums="98a28c10cb607bb51f13e568db2b9570 mumble-1.2.17.tar.gz
+a33eeda77b1a5d10fbebaefd9c54ec8f murmur.initd"
+sha256sums="1c3601efdac611c8833d508054698ee9d8917b4e5fffb7fff8baec0bd6c8cb9c mumble-1.2.17.tar.gz
+2fa2104cc57a53145b0e962e04d90c49e3a70b9dfc3c78202948f97157c961d8 murmur.initd"
+sha512sums="03cb0a2048d42bd480741e0580cb4bf6961d607d6cf9b620434aea87ac0cd7cdbfae33863b71821ac8b931300df490ae5436f3c8098d6a5f37dd1eab0fb34dbe mumble-1.2.17.tar.gz
+c74ade232146a180448cb0027503f59642000bee50613a1fb99162cdc4bc81089ab4e84e51b0bbdac5c176eb52b76e6bd2b3ec790a9148135a1fc050569921c3 murmur.initd"